secretStore:
  name: vault
  kind: ClusterSecretStore

externalSecrets:
  - name: argocd-oidc-secret
    namespace: argocd
    targetName: argocd-secret
    creationPolicy: Merge
    data:
      - secretKey: oidc.keycloak.clientSecret
        remoteKey: infra/argocd
        property: client_secret

  - name: renovate-secret
    namespace: infra
    targetName: renovate-secret
    data:
      - secretKey: RENOVATE_TOKEN
        remoteKey: infra/renovate
        property: gitea_token